No shadows under menus on Unity.

Bug #1574693 reported by Albert Cutrona on 2016-04-25
78
This bug affects 14 people
Affects Status Importance Assigned to Milestone
gtk+3.0 (Ubuntu)
High
Andrea Azzarone
Xenial
Undecided
Unassigned

Bug Description

Hi,

After a fresh install of Ubuntu 16.04 in a new SSD, there aren't shadows under menus on application decoration borders and Unity panel.

I've seen the same problem in Askubuntu:
http://askubuntu.com/questions/761842/no-shadows-under-menus-on-application-decoration-borders-and-unity-panel/762487#762487

Thanks!!

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: unity 7.4.0+16.04.20160415-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Mon Apr 25 16:38:08 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RS880M [Mobility Radeon HD 4225/4250] [1002:9712] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company RS880M [Mobility Radeon HD 4225/4250] [103c:143c]
 Advanced Micro Devices, Inc. [AMD/ATI] Park [Mobility Radeon HD 5430/5450/5470] [1002:68e0] (rev ff) (prog-if ff)
InstallationDate: Installed on 2016-04-25 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
MachineType: Hewlett-Packard HP G62 Notebook PC
ProcEnviron:
 LANGUAGE=es_ES
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-21-generic root=UUID=231aae18-0f30-4b65-943c-646a217d0d72 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/15/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.29
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 143C
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 62.3D
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.29:bd03/15/2011:svnHewlett-Packard:pnHPG62NotebookPC:pvr0594110000252710001020100:rvnHewlett-Packard:rn143C:rvr62.3D:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP G62 Notebook PC
dmi.product.version: 0594110000252710001020100
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.12.2+16.04.20160415-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Mon Apr 25 16:23:48 2016
xserver.configfile: default
xserver.errors: RADEON(G0): [XvMC] Failed to initialize extension.
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.18.3-1ubuntu2
xserver.video_driver: radeon

Related branches

Albert Cutrona (acutbal) wrote :
description: updated
Andrea Azzarone (azzar1) wrote :

Please open another bug for the Compiz's expo plugin bug.

Changed in unity (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Andrea Azzarone (azzar1) on 2016-04-26
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
Albert Cutrona (acutbal) wrote :

Done!! I've just opened another bug for the Compiz's expo plugin bug.

BTW, do you need that I edit this one?

Thanks!!

Andrea Azzarone (azzar1) on 2016-04-26
summary: - No shadows under menus on Unity and no glow effect on expo Compiz
- plugin.
+ No shadows under menus on Unity.
description: updated
Andrea Azzarone (azzar1) on 2016-04-26
no longer affects: gtk (Ubuntu)
Andrea Azzarone (azzar1) on 2016-04-26
Changed in gtk+3.0 (Ubuntu):
status: New → Confirmed
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) on 2016-04-26
Changed in gtk+3.0 (Ubuntu):
status: Confirmed → In Progress
no longer affects: unity (Ubuntu)
Changed in gtk+3.0 (Ubuntu):
importance: Undecided → High
Albert Cutrona (acutbal) wrote :

Please, I would know if there is some progress in this bug. Thank you very much and best regards!!

I don't understand How Canonical shipped an LTS release with this type of bug!

wedu (ktkwaheed-e) wrote :

Still in progress, what the hell is going on?

Sebastien Bacher (seb128) wrote :

https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/3.18.9-1ubuntu4

SRU uploaded to xenial as well, it's in the queue and needs to get reviewed

affects: gtk+3.0 (Ubuntu) → ubuntu
Changed in ubuntu:
status: In Progress → Fix Released
affects: ubuntu → gtk+3.0 (Ubuntu)
Albert Cutrona (acutbal) wrote :

Thanks for the info!! :)

Hello Albert, or anyone else affected,

Accepted gtk+3.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gtk+3.0/3.18.9-1ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gtk+3.0 (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
wedu (ktkwaheed-e) wrote :

Thanks, menus have shadows now.

tags: verification-done

tags: added: verification-done
removed: verification-needed
Albert Cutrona (acutbal) wrote :

Hi!!

Today I've installed a daily build of Ubuntu 16.04 and the bug has gone. So, for me the bug is fixed.

Thank you very much and very best regards!!

Yury Plashenkov (plashenkov) wrote :

Well, `sudo apt dist-upgrade` still does not bring the fix yet.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.18.9-1ubuntu3.1

---------------
gtk+3.0 (3.18.9-1ubuntu3.1) xenial; urgency=medium

  * debian/patches/unity-border-radius.patch:
    - Make sure shadows are drawn for menus on Unity.
      (lp: #1574693)

 -- Andrea <email address hidden> Wed, 27 Apr 2016 11:47:31 +0200

Changed in gtk+3.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gtk+3.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.